import 'package:flutter/material.dart';
import 'dart:async';
import 'package:flutter_teachstack_sdk/flutter_teachstack_sdk.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  Future<void> initPlatformState() async {

    await FlutterTeachstackSdk.liveClass(
      "https://video.teachmint.com/videoroom/videodemo::parthTest/teacherId1/eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyb29tX2lkIjoidmlkZW9kZW1vOjpwYXJ0aFRlc3QiLCJ1aWQiOiJ0ZWFjaGVySWQxIiwidW5hbWUiOiJ0ZWFjaGVyIiwidXR5cGUiOjEsImV4cCI6MTY1NTU5MDk2OX0.jb9u0C4ByY8Vwd35SmWT_u3SVUqRVxakauil8Nakm-I");
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Teachstack SDK'),
        ),
        body: const Center(
          child: Text('Live Classroom'),
        ),
      ),
    );
  }
}
