import 'dart:async';

import 'package:flutter/services.dart';

class FlutterTeachstackSdk {
  static const MethodChannel _channel = MethodChannel('flutter_teachstack_sdk');

  static Future<void> liveClass(String url, [String yourAppGroupName = ""]) async {
    Map<String, dynamic> args = <String, dynamic>{};
    args.putIfAbsent("url", () => url);
    args.putIfAbsent("yourAppGroupName", () => yourAppGroupName);
    await _channel.invokeMethod('liveClass', args);
    return;
  }
}
